<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="/style.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <script src="https://kit.fontawesome.com/7909cd16a9.js" crossorigin="anonymous"></script>
    <script src="https://cdn.socket.io/4.3.2/socket.io.min.js"></script>
    <script src="//code.jquery.com/jquery.min.js"></script>
</head>

<body>
    <header class="content">
        <div id="hMenu">
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <a class="navbar-brand" href="#">CSS</a>
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img src="/image.png" alt="Avatar" class="avatar">
                            <span id="username">Username</span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                            <a class="dropdown-item" href="#">Profile</a>
                            <a class="dropdown-item" href="#">Login</a>
                        </div>
                    </li>
                </ul>
            </nav>
        </div>
    </header>

    <div id="loginPopup" class="login-popup">
        <form id="name-form" class="login-form">
            <label>Enter your name:</label>
            <input type="text" id="name-input" required>
            <button type="submit" id="choose-name-button">Ok</button>
        </form>
    </div>
    <div id="addUserPopup" class="login-popup" style="display: none;">
        <form id="add-user-form" class="login-form">
            <label>Add new user:</label>
            <input type="text" id="new-user-input" required>
            <button type="submit" id="add-user-button">Add</button>
        </form>
    </div>
    <main class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-2">
                    <div class="sidebar bg-white text-white d-none d-lg-block">
                        <ul class="nav nav-pills flex-column mb-sm-auto mb-0 align-items-center align-items-sm-start"
                            id="menu">
                            <li class="nav-item">
                                <a href="#" class="nav-link align-middle px-0">
                                    <span class="ms-1 d-none d-sm-inline" style="color: black;">Dashboard</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="/index.php" class="nav-link px-0 align-middle">
                                    <span class="ms-1 d-none d-sm-inline" style="color: black;">Students</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#" class="nav-link px-0 align-middle">
                                    <span class="ms-1 d-none d-sm-inline" style="color: black;">Tasks</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>

                <div class="col-md-4">
                    <div id="chatRoom" class="bg-light p-3 rounded border border-dark text-center"
                        style="height: 100%;">
                        <div class="room-list">
                            <div
                                class="room d-flex align-items-center active-room border border-primary rounded p-2 mb-2">
                                <div class="chatRoomIcon"></div>
                                <div class="chatRoomText ml-2">All</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="messageContainer bg-light p-3 rounded border border-dark" style="width: 90%;">
                        <h4 id="ChatRoomWith" class="tableName">Chat room - All</h4>
                        <div id="messageBox">
                            <ul id="messages" class="list-group"></ul>
                        </div>
                        <div id="messageInputBox" class="input-group mt-3">
                            <input id="messageInput" name='message' class="form-control" autocomplete="off">
                            <div class="input-group-append">
                                <button id="sendButton" class="btn btn-primary">Send</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

    <footer class="content footer-content"></footer>
    <div id="windowMessage" style="visibility: hidden;"></div>
    <script src="client.js"></script>
</body>

</html>